%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name:		openstack-tripleo-puppet-elements
Summary:	OpenStack TripleO Puppet Elements for diskimage-builder
Version:    	9.0.1
Release:    	5%{?dist}
License:	ASL 2.0
Group:		System Environment/Base
URL:		https://wiki.openstack.org/wiki/TripleO
Source0: 	https://tarballs.openstack.org/tripleo-puppet-elements/tripleo-puppet-elements-%{upstream_version}.tar.gz

#patches_ignore=DROP-IN-RPM
#patches_base=9.0.1
Patch0001: 0001-Add-numactl-to-overcloud-image.patch
Patch0002: 0002-Install-tmpwatch-in-the-overcloud-base-image.patch
Patch0003: 0003-Remove-redis-from-controller-element.patch
Patch0004: 0004-Stop-and-disable-libvirtd-service-on-controller.patch
Patch0005: 0005-Add-proper-permissions-on-script.patch

BuildArch:	noarch
BuildRequires:	python
BuildRequires:	python2-devel
BuildRequires:	python2-setuptools
BuildRequires:	python-d2to1
BuildRequires:	python2-pbr

%description
OpenStack TripleO Puppet Elements is a collection of elements for
diskimage-builder that can be used to build OpenStack images configured with
Puppet for the TripleO program.

%prep
%setup -q -n tripleo-puppet-elements-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

# remove .git-keep-empty files that get installed
find %{buildroot} -name .git-keep-empty | xargs rm -f

%files
%doc LICENSE
%doc README.md
%{python_sitelib}/tripleo_puppet_elements*
%{_datadir}/tripleo-puppet-elements

%changelog
* Fri Sep 20 2019 Rajesh Tailor <ratailor@redhat.com> 9.0.1-5
- Add proper permissions on script (rhbz#1753879)

* Wed Jul 17 2019 Rajesh Tailor <ratailor@redhat.com> 9.0.1-4
- Stop and disable libvirtd service on controller (rhbz#1730225)

* Tue May 28 2019 Thierry Vignaud <tvignaud@redhat.com> 9.0.1-3
- Remove redis from controller element
- Add numactl to overcloud image

* Tue Apr 02 2019 Cédric Jeanneret <cjeanner@redhat.com> 9.0.1-2
- Install tmpwatch in the overcloud base image (rhbz#1695138)

* Wed Mar 27 2019 Steve Linabery <slinaber@redhat.com> 9.0.1-1
- Update to 9.0.1

* Mon Feb 18 2019 Alex Schultz <aschultz@redhat.com> 9.0.0-0.20181007201104
- Add gdisk to overcloud image (rhbz#1674048)

